public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/cmocka/
Date: Mon, 10 Oct 2016 23:39:23 +0000 (UTC)	[thread overview]
Message-ID: <1476142749.32d6dfedbdcfa7963cb6e3490068b313f2aaea9b.mrueg@gentoo> (raw)

commit:     32d6dfedbdcfa7963cb6e3490068b313f2aaea9b
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 10 23:39:09 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Oct 10 23:39:09 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32d6dfed

dev-util/cmocka: Version bump to 1.1.0

Package-Manager: portage-2.3.1

 dev-util/cmocka/Manifest            |  1 +
 dev-util/cmocka/cmocka-1.1.0.ebuild | 46 +++++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-util/cmocka/Manifest b/dev-util/cmocka/Manifest
index 806507c..5c1f594 100644
--- a/dev-util/cmocka/Manifest
+++ b/dev-util/cmocka/Manifest
@@ -1,3 +1,4 @@
 DIST cmocka-0.3.1.tar.gz 100606 SHA256 4b6c61a4d880a66c4d6b3de2f488273394f4455722cd0bd7c5b8d19e21881e25 SHA512 906b977eeaf208b086a65866897b22450abb05040778959f485e616d85149e6c331426550f9478addf1034aed4df4938ed421e60b1980b1955a08421104b639a WHIRLPOOL bfc188d4208036ae92eccc6e10ac6e5f8991bf1ed60167c2edda9d1a55f34b17429bbec0f7186de6f365f1f87fc7dc428300a83251857d860b805c6a7072a963
 DIST cmocka-0.4.1.tar.xz 68688 SHA256 5bba53c108a693d1cad33a2edd2ee36b0cb7ea0d9b1b94b608784d41f7fec803 SHA512 355334dbdfcda88d37bd2c60a9e714567632e481423fc45627f72a2fe13e2498152c61ad67c83da3cff7843e3e64c6bd4b806240ab714a2420c974a98a7fed96 WHIRLPOOL 52d7b51d3ae2716f0e21a7763678e3755024eba4734f44c0f719979887efa019e0d55b91c68670ab59eee6487c5d5a28c509fee472e92bcf9591210a3952f86a
 DIST cmocka-1.0.1.tar.xz 80240 SHA256 b36050d7a1224296803d216cba1a9d4c58c31bf308b2d6d6649d61aa5a36753b SHA512 142b3293a8ab137904d07f1ac6a56daf0afbbfcf7816a582c9998b6225aa5d6fe5f2d1b889de7b187142fc24ca4d1cfdbd630e8783858bc9ce89217ff05abc1e WHIRLPOOL c733d08a4907242bce6e8fb6989934fa8c9ae333a6c9a746c8824001722a7897cebdf8c0501bfb22d2ad29536ab32b0d004e327a1ce7b7740c9d24c6a453d6f9
+DIST cmocka-1.1.0.tar.xz 85132 SHA256 e960d3bf1be618634a4b924f18bb4d6f20a825c109a8ad6d1af03913ba421330 SHA512 b45b6c6bf6c1a0e12cbbfa203afc0172aa53215e0bd43a21b30db04c0490609a7a262f1b4d87be9df0c5c486c4f4891d3432e0e053418d373d9750a6cf5adf70 WHIRLPOOL 972f1fec0c850beac388d9c8e8ff549dd4fad086fd73463df3f718f81ed84e6b47cf3e9aee184c0d25aaa6bb8b86167113b7b24b4f3a1f90371b9a446a02b1db

diff --git a/dev-util/cmocka/cmocka-1.1.0.ebuild b/dev-util/cmocka/cmocka-1.1.0.ebuild
new file mode 100644
index 00000000..46e417e
--- /dev/null
+++ b/dev-util/cmocka/cmocka-1.1.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit cmake-multilib
+
+DESCRIPTION="A unit testing framework for C"
+HOMEPAGE="http://cmocka.org/"
+SRC_URI="https://cmocka.org/files/1.1/${P}.tar.xz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="doc static-libs test"
+
+DEPEND="
+	doc? ( app-doc/doxygen[latex] )
+"
+RDEPEND=""
+
+DOCS=( AUTHORS ChangeLog README )
+
+multilib_src_configure() {
+	local mycmakeargs=(
+		$(cmake-utils_use_with static-libs STATIC_LIB)
+		$(cmake-utils_use test UNIT_TESTING)
+		$(multilib_is_native_abi && cmake-utils_use_find_package doc Doxygen \
+			|| echo -DCMAKE_DISABLE_FIND_PACKAGE_Doxygen=ON)
+	)
+	cmake-utils_src_configure
+}
+
+multilib_src_install() {
+	if multilib_is_native_abi && use doc; then
+		pushd doc || die
+		doxygen Doxyfile || die
+		rm -f html/*.md5 latex/*.md5 latex/Manifest man/man3/_* || die
+		dohtml html/*
+		dodoc latex/*
+		doman man/man3/*.3
+		popd || die
+	fi
+	cmake-utils_src_install
+}


             reply	other threads:[~2016-10-10 23:39 UTC|newest]

Thread overview: 50+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-10-10 23:39 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-07-11 18:58 [gentoo-commits] repo/gentoo:master commit in: dev-util/cmocka/ Matt Turner
2022-08-15 14:10 Andreas Sturmlechner
2022-05-05 23:48 WANG Xuerui
2022-04-12 10:56 Sam James
2021-10-02  9:08 James Le Cuirot
2021-07-05 13:25 Marek Szuba
2019-07-28 20:08 Mikle Kolyada
2019-05-26  7:04 Sergei Trofimovich
2019-05-12 22:03 Sergei Trofimovich
2019-05-12 21:57 Sergei Trofimovich
2019-05-12 21:48 Sergei Trofimovich
2019-05-12 20:56 Thomas Deutschmann
2019-05-11 11:20 Mikle Kolyada
2019-05-08 14:38 Tobias Klausmann
2019-05-06 17:13 Sergei Trofimovich
2019-04-23  0:13 Aaron Bauman
2019-04-03 14:11 Andreas Sturmlechner
2019-02-16 10:21 Markus Meier
2019-02-07 13:10 Mikle Kolyada
2019-01-31 18:04 Tobias Klausmann
2019-01-27 12:18 Sergei Trofimovich
2019-01-26 17:30 Sergei Trofimovich
2019-01-26 17:23 Sergei Trofimovich
2019-01-26 17:17 Sergei Trofimovich
2019-01-25 19:54 Sergei Trofimovich
2019-01-16  7:15 Sergei Trofimovich
2018-11-27 20:24 Andreas Sturmlechner
2018-11-17  8:14 Michael Palimaka
2018-07-11  5:05 Markus Meier
2018-06-25 18:56 Tobias Klausmann
2018-06-07 10:13 Agostino Sarubbo
2018-06-06 16:37 Sergei Trofimovich
2018-06-03 22:42 Sergei Trofimovich
2018-03-28  1:18 Matt Turner
2018-02-22 14:22 Michał Górny
2017-06-18 12:08 Michael Palimaka
2017-04-12 16:40 Johannes Huber
2017-04-12 16:40 Johannes Huber
2016-12-30 16:08 Johannes Huber
2016-12-30 11:12 Agostino Sarubbo
2016-12-30  9:39 Agostino Sarubbo
2016-12-06  9:54 Johannes Huber
2016-08-17  4:01 Jeroen Roovers
2016-07-06  9:23 Agostino Sarubbo
2016-06-25 20:14 Agostino Sarubbo
2016-05-25  6:29 Matt Turner
2016-05-13 14:51 Agostino Sarubbo
2016-04-26 17:35 Markus Meier
2016-04-05 18:46 Matt Turner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1476142749.32d6dfedbdcfa7963cb6e3490068b313f2aaea9b.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox